const mainbody = document.querySelector("body");
const dkLight = document.querySelector("#darkLight");
const sdbar = document.querySelector(".sidebar");
const submenuItems = document.querySelectorAll(".submenu_item");
const sdbarOpen = document.querySelector("#sidebarOpen");
const sdbarClose = document.querySelector(".collapse_sidebar");
const sdbarExpand = document.querySelector(".expand_sidebar");
sdbarOpen.addEventListener("click", () => sdbar.classList.toggle("close"));

sdbarClose.addEventListener("click", () => {
  sdbar.classList.add("close", "hoverable");
});
sdbarExpand.addEventListener("click", () => {
  sdbar.classList.remove("close", "hoverable");
});

sdbar.addEventListener("mouseenter", () => {
  if (sdbar.classList.contains("hoverable")) {
    sdbar.classList.remove("close");
  }
});
sdbar.addEventListener("mouseleave", () => {
  if (sdbar.classList.contains("hoverable")) {
    sdbar.classList.add("close");
  }
});

dkLight.addEventListener("click", () => {
  mainbody.classList.toggle("dark");
  if (mainbody.classList.contains("dark")) {
    document.setI;
    dkLight.classList.replace("bx-sun", "bx-moon");
  } else {
    dkLight.classList.replace("bx-moon", "bx-sun");
  }
});

submenuItems.forEach((item, index) => {
  item.addEventListener("click", () => {
    item.classList.toggle("show_submenu");
    submenuItems.forEach((item2, index2) => {
      if (index !== index2) {
        item2.classList.remove("show_submenu");
      }
    });
  });
});

if (window.innerWidth < 768) {
  sdbar.classList.add("close");
} else {
  sdbar.classList.remove("close");
}
